function [cpdist] = sdolab_cpdist(x,s);

%%
% [cpdist] = sdolab_cpdist(x,s);
%
% Computes the distance form z to the central path.
%
% Version 0.4, March, 2017.

%-----------------------------------------------------------------------
%
% Author: Jean Charles Gilbert, INRIA.
% Copyright 2017, INRIA.
%
% SDOlab is distributed under the terms of the Q Public License version
% 1.0.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the Q Public
% License version 1.0 for more details.
%
% You should have received a copy of the Q Public License version 1.0
% along with this program.  If not, see
% <http://doc.trolltech.com/3.0/license.html>.
%
%-----------------------------------------------------------------------

  global SDO_G SDO_W SDO_mub

% Compute the distance from z to the central path

  sqrtmub = sqrt(SDO_mub);
  cpdist = 0.5*norm(vec(SDO_G'*(sqrtmub*(mat(x)\SDO_G)-(mat(s)*SDO_G)/sqrtmub)));

end
