function [] = sdolab_values ()

%%
% sdolab_values ()
%
% Set the constant values used in Qpalm.
%
% Version 0.4, March, 2017.

%-----------------------------------------------------------------------
%
% Author: Jean Charles Gilbert, INRIA.
% Copyright 2017, INRIA.
%
% SDOlab is distributed under the terms of the Q Public License version
% 1.0.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the Q Public
% License version 1.0 for more details.
%
% You should have received a copy of the Q Public License version 1.0
% along with this program.  If not, see
% <http://doc.trolltech.com/3.0/license.html>.
%
%-----------------------------------------------------------------------

  global SDO_values

% Diagnosis values

  SDO_values.success                      = int8(  0);	% solution found
  SDO_values.fail_on_argument             = int8(  1);	% an argument is wrong
  SDO_values.stop_on_iter                 = int8(  2);	% exit on the max number of iterations reached
  SDO_values.stop_on_bigm_loops           = int8(  3);	% exit on the max number of big M loops
  SDO_values.stop_on_primal_infeasibility = int8(  4);	% exit on primal infeasibiity
  SDO_values.stop_on_mexfile              = int8(  5);	% exit on primal infeasibiity

% Running values

  SDO_values.cholesky_chdc                = int8(  6);	% Cholesky fctorizations done with 'Xchdc'
  SDO_values.cholesky_chol                = int8(  7);	% Cholesky fctorizations done with 'chol'
  SDO_values.nt_chol                      = int8(  8);	% NT direction with Cholesky fctorization
  SDO_values.nt_qr                        = int8(  9);	% NT direction with QR fctorization
  SDO_values.linear_primal_infeasibility  = int8( 10);	% exit on primal linear infeasibiity
  SDO_values.linear_dual_infeasibility    = int8( 11);	% exit on dual linear infeasibiity
  SDO_values.reloop_cold                  = int8( 12);	% cold relooping
  SDO_values.reloop_warm                  = int8( 13);	% warm relooping
  SDO_values.stepsize_drtv                = int8( 14);	% deKlerk-Roos-Terlaky-Vial prediction stepsize
  SDO_values.stepsize_drtv_plus           = int8( 15);	% larger than the deKlerk-Roos-Terlaky-Vial prediction stepsize
  SDO_values.fail_on_chol                 = int8( 16);	% a Cholesky factorization failed

% Timer indices

  SDO_values.cput_prelim                  =  1;		% index in info.timer for preliminaries
  SDO_values.scput_scaling_matrix_w       =  2;		% index in info.timer for computating the weigth matrix W
  SDO_values.cput_cpdist                  =  3;		% index in info.timer for computating the distance to the central path
  SDO_values.ls_make                      =  4;		% index in info.timer for preliminaries
  SDO_values.ls_solve                     =  5;		% index in info.timer for preliminaries
  SDO_values.cput_total                   =  6;		% index in info.timer for total cput

% Other values

  SDO_values.eline = '============================================================================';
  SDO_values.dline = '----------------------------------------------------------------------------';

% Return

return
